namespace PkmnLib.Plugin.Gen7.Scripts.Status;

[Script(ScriptCategory.Status, "badly_poisoned")]
public class BadlyPoisoned : Poisoned
{
    internal int Turns { get; private set; } = 1;

    /// <inheritdoc />
    public override float GetPoisonMultiplier() => 1f / (16f * Turns);

    /// <inheritdoc />
    public override void OnEndTurn(IScriptSource owner, IBattle battle)
    {
        base.OnEndTurn(owner, battle);
        Turns = Math.Min(Turns + 1, 15);
    }
}